chore(deps): Update prometheus-operator to v0.66.0 (#10172)

**Description**
* Update prometheus-operator image to v0.66.0
* Update prometheus-config-reloader image to v0.66.0
* Update CI tests to match.
* Add script to help updating CRDs.
* Update CRDs to v0.66.0.

⚒️ Fixes  # <!--(issue)-->

**⚙️ Type of change**

- [ ] ⚙️ Feature/App addition
- [ ] 🪛 Bugfix
- [ ] ⚠️ Breaking change (fix or feature that would cause existing
functionality to not work as expected)
- [ ] 🔃 Refactor of current code

**🧪 How Has This Been Tested?**
<!--
Please describe the tests that you ran to verify your changes. Provide
instructions so we can reproduce. Please also list any relevant details
for your test configuration
-->

**📃 Notes:**
<!-- Please enter any other relevant information here -->

**✔️ Checklist:**

- [ ] ⚖️ My code follows the style guidelines of this project
- [ ] 👀 I have performed a self-review of my own code
- [ ] #️⃣ I have commented my code, particularly in hard-to-understand
areas
- [ ] 📄 I have made corresponding changes to the documentation
- [ ] ⚠️ My changes generate no new warnings
- [ ] 🧪 I have added tests to this description that prove my fix is
effective or that my feature works
- [ ] ⬆️ I increased versions for any altered app according to semantic
versioning

** App addition**

If this PR is an app addition please make sure you have done the
following.

- [ ] 🪞 I have opened a PR on
[truecharts/containers](https://github.com/truecharts/containers) adding
the container to TrueCharts mirror repo.
- [ ] 🖼️ I have added an icon in the Chart's root directory called
`icon.png`

---

_Please don't blindly check all the boxes. Read them and only check
those that apply.
Those checkboxes are there for the reviewer to see what is this all
about and
the status of this PR with a quick glance._

Signed-off-by: SuperQ <superq@gmail.com>
This commit is contained in:
Ben Kochie
2023-07-08 10:54:56 +02:00
committed by GitHub
parent 23b35a4bbc
commit 6a043c651c
14 changed files with 1491 additions and 723 deletions
+6 -6
View File
@@ -157,7 +157,7 @@ jobs:
kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.20/releases/cnpg-1.20.0.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest" kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.20/releases/cnpg-1.20.0.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest"
fi fi
if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then
kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.65.2/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest" kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.66.0/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest"
fi fi
- name: Run chart-testing (install) - name: Run chart-testing (install)
@@ -215,7 +215,7 @@ jobs:
kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest" kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest"
fi fi
if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then
kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.65.2/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest" kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.66.0/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest"
fi fi
- name: Run chart-testing (install) - name: Run chart-testing (install)
@@ -273,7 +273,7 @@ jobs:
kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest" kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest"
fi fi
if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then
kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.65.2/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest" kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.66.0/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest"
fi fi
- name: Run chart-testing (install) - name: Run chart-testing (install)
@@ -331,7 +331,7 @@ jobs:
kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest" kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest"
fi fi
if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then
kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.65.2/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest" kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.66.0/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest"
fi fi
- name: Run chart-testing (install) - name: Run chart-testing (install)
@@ -389,7 +389,7 @@ jobs:
kubectl apply -f --server-side --force-conflicts https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml kubectl apply -f --server-side --force-conflicts https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml
fi fi
if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then
kubectl apply -f --server-side --force-conflicts --server-side --force-conflicts https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.65.2/bundle.yaml kubectl apply -f --server-side --force-conflicts --server-side --force-conflicts https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.66.0/bundle.yaml
fi fi
- name: Run chart-testing (install) - name: Run chart-testing (install)
@@ -447,7 +447,7 @@ jobs:
kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest" kubectl apply -f https://raw.githubusercontent.com/cloudnative-pg/cloudnative-pg/release-1.17/releases/cnpg-1.17.5.yaml --server-side --force-conflicts || echo "error fetching cnpg manifest"
fi fi
if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then if [[ "${{ matrix.chart }}" != "charts/operators/prometheus-operator" ]]; then
kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.65.2/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest" kubectl apply -f https://github.com/prometheus-operator/prometheus-operator/releases/download/v0.66.0/bundle.yaml --server-side --force-conflicts || echo "error fetching prometheus operator manifest"
fi fi
- name: Run chart-testing (install) - name: Run chart-testing (install)
@@ -1,5 +1,5 @@
apiVersion: v2 apiVersion: v2
appVersion: "0.65.2" appVersion: "0.66.0"
deprecated: false deprecated: false
description: Prometheus Operator is an operator for prometheus description: Prometheus Operator is an operator for prometheus
home: https://truecharts.org/charts/operators/prometheus-operator home: https://truecharts.org/charts/operators/prometheus-operator
@@ -22,7 +22,7 @@ sources:
- https://github.com/truecharts/charts/tree/master/charts/operators/prometheus-operator - https://github.com/truecharts/charts/tree/master/charts/operators/prometheus-operator
- https://github.com/prometheus-operator - https://github.com/prometheus-operator
type: application type: application
version: 0.0.7 version: 0.0.8
annotations: annotations:
truecharts.org/catagories: | truecharts.org/catagories: |
- operators - operators
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_alertmanagerconfigs.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_alertmanagerconfigs.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
@@ -2699,9 +2699,9 @@ spec:
signing process to sign requests. signing process to sign requests.
properties: properties:
accessKey: accessKey:
description: AccessKey is the AWS API key. If blank, description: AccessKey is the AWS API key. If not
the environment variable `AWS_ACCESS_KEY_ID` is specified, the environment variable `AWS_ACCESS_KEY_ID`
used. is used.
properties: properties:
key: key:
description: The key of the secret to select from. Must description: The key of the secret to select from. Must
@@ -2734,8 +2734,8 @@ spec:
to authenticate. to authenticate.
type: string type: string
secretKey: secretKey:
description: SecretKey is the AWS API secret. If blank, description: SecretKey is the AWS API secret. If not
the environment variable `AWS_SECRET_ACCESS_KEY` specified, the environment variable `AWS_SECRET_ACCESS_KEY`
is used. is used.
properties: properties:
key: key:
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_alertmanagers.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_alertmanagers.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
@@ -1397,6 +1397,9 @@ spec:
- key - key
type: object type: object
x-kubernetes-map-type: atomic x-kubernetes-map-type: atomic
pagerdutyUrl:
description: The default Pagerduty URL.
type: string
resolveTimeout: resolveTimeout:
description: ResolveTimeout is the default value used by alertmanager description: ResolveTimeout is the default value used by alertmanager
if the alert does not include EndsAt, after this time passes if the alert does not include EndsAt, after this time passes
@@ -1479,6 +1482,12 @@ spec:
type: object type: object
type: array type: array
type: object type: object
automountServiceAccountToken:
description: 'AutomountServiceAccountToken indicates whether a service
account token should be automatically mounted in the pod. If the
service account has `automountServiceAccountToken: true`, set the
field to `false` to opt out of automounting API credentials.'
type: boolean
baseImage: baseImage:
description: 'Base image that is used to deploy pods, without tag. description: 'Base image that is used to deploy pods, without tag.
Deprecated: use ''image'' instead' Deprecated: use ''image'' instead'
@@ -1781,7 +1790,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -1877,7 +1888,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -1988,7 +2001,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -2188,7 +2203,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -2588,7 +2605,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3114,7 +3133,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3210,7 +3231,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3321,7 +3344,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3521,7 +3546,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3921,7 +3948,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -4458,14 +4487,13 @@ spec:
by the Alertmanager instances. by the Alertmanager instances.
properties: properties:
disableMountSubPath: disableMountSubPath:
description: 'Deprecated: subPath usage will be disabled by default description: '*Deprecated: subPath usage will be removed in a
in a future release, this option will become unnecessary. DisableMountSubPath future release.*'
allows to remove any subPath usage in volume mounts.'
type: boolean type: boolean
emptyDir: emptyDir:
description: 'EmptyDirVolumeSource to be used by the StatefulSet. description: 'EmptyDirVolumeSource to be used by the StatefulSet.
If specified, used in place of any volumeClaimTemplate. More If specified, it takes precedence over `ephemeral` and `volumeClaimTemplate`.
info: https://kubernetes.io/docs/concepts/storage/volumes/#emptydir' More info: https://kubernetes.io/docs/concepts/storage/volumes/#emptydir'
properties: properties:
medium: medium:
description: 'medium represents what type of storage medium description: 'medium represents what type of storage medium
@@ -4489,8 +4517,8 @@ spec:
type: object type: object
ephemeral: ephemeral:
description: 'EphemeralVolumeSource to be used by the StatefulSet. description: 'EphemeralVolumeSource to be used by the StatefulSet.
This is a beta field in k8s 1.21, for lower versions, starting This is a beta field in k8s 1.21 and GA in 1.15. For lower versions,
with k8s 1.19, it requires enabling the GenericEphemeralVolume starting with k8s 1.19, it requires enabling the GenericEphemeralVolume
feature gate. More info: https://kubernetes.io/docs/concepts/storage/ephemeral-volumes/#generic-ephemeral-volumes' feature gate. More info: https://kubernetes.io/docs/concepts/storage/ephemeral-volumes/#generic-ephemeral-volumes'
properties: properties:
volumeClaimTemplate: volumeClaimTemplate:
@@ -4750,10 +4778,10 @@ spec:
type: object type: object
type: object type: object
volumeClaimTemplate: volumeClaimTemplate:
description: A PVC spec to be used by the StatefulSet. The easiest description: Defines the PVC spec to be used by the Prometheus
way to use a volume that cannot be automatically provisioned StatefulSets. The easiest way to use a volume that cannot be
(for whatever reason) is to use a label selector alongside manually automatically provisioned is to use a label selector alongside
created PersistentVolumes. manually created PersistentVolumes.
properties: properties:
apiVersion: apiVersion:
description: 'APIVersion defines the versioned schema of this description: 'APIVersion defines the versioned schema of this
@@ -4798,8 +4826,8 @@ spec:
type: string type: string
type: object type: object
spec: spec:
description: 'Spec defines the desired characteristics of description: 'Defines the desired characteristics of a volume
a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims' requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims'
properties: properties:
accessModes: accessModes:
description: 'accessModes contains the desired access description: 'accessModes contains the desired access
@@ -5012,8 +5040,7 @@ spec:
type: string type: string
type: object type: object
status: status:
description: 'Status represents the current information/status description: '*Deprecated: this field is never set.*'
of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims'
properties: properties:
accessModes: accessModes:
description: 'accessModes contains the actual access modes description: 'accessModes contains the actual access modes
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_podmonitors.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_podmonitors.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_probes.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_probes.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
File diff suppressed because it is too large Load Diff
File diff suppressed because it is too large Load Diff
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_prometheusrules.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_prometheusrules.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
@@ -98,6 +98,13 @@ spec:
been returned for this long. been returned for this long.
pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$ pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
type: string type: string
keep_firing_for:
description: KeepFiringFor defines how long an alert will
continue firing after the condition that triggered it
has cleared.
minLength: 1
pattern: ^(0|(([0-9]+)y)?(([0-9]+)w)?(([0-9]+)d)?(([0-9]+)h)?(([0-9]+)m)?(([0-9]+)s)?(([0-9]+)ms)?)$
type: string
labels: labels:
additionalProperties: additionalProperties:
type: string type: string
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_scrapeconfigs.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_scrapeconfigs.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
@@ -45,6 +45,78 @@ spec:
description: ScrapeConfigSpec is a specification of the desired configuration description: ScrapeConfigSpec is a specification of the desired configuration
for a scrape configuration. for a scrape configuration.
properties: properties:
authorization:
description: Authorization header to use on every scrape request.
properties:
credentials:
description: The secret's key that contains the credentials of
the request
properties:
key:
description: The key of the secret to select from. Must be
a valid secret key.
type: string
name:
description: 'Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
TODO: Add other useful fields. apiVersion, kind, uid?'
type: string
optional:
description: Specify whether the Secret or its key must be
defined
type: boolean
required:
- key
type: object
x-kubernetes-map-type: atomic
type:
description: Set the authentication type. Defaults to Bearer,
Basic will cause an error
type: string
type: object
basicAuth:
description: BasicAuth information to use on every scrape request.
properties:
password:
description: The secret in the service monitor namespace that
contains the password for authentication.
properties:
key:
description: The key of the secret to select from. Must be
a valid secret key.
type: string
name:
description: 'Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
TODO: Add other useful fields. apiVersion, kind, uid?'
type: string
optional:
description: Specify whether the Secret or its key must be
defined
type: boolean
required:
- key
type: object
x-kubernetes-map-type: atomic
username:
description: The secret in the service monitor namespace that
contains the username for authentication.
properties:
key:
description: The key of the secret to select from. Must be
a valid secret key.
type: string
name:
description: 'Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
TODO: Add other useful fields. apiVersion, kind, uid?'
type: string
optional:
description: Specify whether the Secret or its key must be
defined
type: boolean
required:
- key
type: object
x-kubernetes-map-type: atomic
type: object
fileSDConfigs: fileSDConfigs:
description: FileSDConfigs defines a list of file service discovery description: FileSDConfigs defines a list of file service discovery
configurations. configurations.
@@ -88,6 +160,80 @@ spec:
description: HTTPSDConfig defines a prometheus HTTP service discovery description: HTTPSDConfig defines a prometheus HTTP service discovery
configuration See https://prometheus.io/docs/prometheus/latest/configuration/configuration/#http_sd_config configuration See https://prometheus.io/docs/prometheus/latest/configuration/configuration/#http_sd_config
properties: properties:
authorization:
description: Authorization header configuration to authenticate
against the target HTTP endpoint.
properties:
credentials:
description: The secret's key that contains the credentials
of the request
properties:
key:
description: The key of the secret to select from. Must
be a valid secret key.
type: string
name:
description: 'Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
TODO: Add other useful fields. apiVersion, kind, uid?'
type: string
optional:
description: Specify whether the Secret or its key must
be defined
type: boolean
required:
- key
type: object
x-kubernetes-map-type: atomic
type:
description: Set the authentication type. Defaults to Bearer,
Basic will cause an error
type: string
type: object
basicAuth:
description: 'BasicAuth information to authenticate against
the target HTTP endpoint. More info: https://prometheus.io/docs/operating/configuration/#endpoints'
properties:
password:
description: The secret in the service monitor namespace
that contains the password for authentication.
properties:
key:
description: The key of the secret to select from. Must
be a valid secret key.
type: string
name:
description: 'Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
TODO: Add other useful fields. apiVersion, kind, uid?'
type: string
optional:
description: Specify whether the Secret or its key must
be defined
type: boolean
required:
- key
type: object
x-kubernetes-map-type: atomic
username:
description: The secret in the service monitor namespace
that contains the username for authentication.
properties:
key:
description: The key of the secret to select from. Must
be a valid secret key.
type: string
name:
description: 'Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
TODO: Add other useful fields. apiVersion, kind, uid?'
type: string
optional:
description: Specify whether the Secret or its key must
be defined
type: boolean
required:
- key
type: object
x-kubernetes-map-type: atomic
type: object
refreshInterval: refreshInterval:
description: RefreshInterval configures the refresh interval description: RefreshInterval configures the refresh interval
at which Prometheus will re-query the endpoint to update the at which Prometheus will re-query the endpoint to update the
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_servicemonitors.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_servicemonitors.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
@@ -1,4 +1,4 @@
# https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.65.2/example/prometheus-operator-crd/monitoring.coreos.com_thanosrulers.yaml # https://raw.githubusercontent.com/prometheus-operator/prometheus-operator/v0.66.0/example/prometheus-operator-crd/monitoring.coreos.com_thanosrulers.yaml
--- ---
apiVersion: apiextensions.k8s.io/v1 apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition kind: CustomResourceDefinition
@@ -1251,7 +1251,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -1347,7 +1349,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -1458,7 +1462,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -1658,7 +1664,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -2058,7 +2066,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -2285,7 +2295,7 @@ spec:
type: string type: string
name: name:
description: Name of the referent. When not set, all resources description: Name of the referent. When not set, all resources
are matched. in the namespace are matched.
type: string type: string
namespace: namespace:
description: 'Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/' description: 'Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/'
@@ -2745,7 +2755,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -2841,7 +2853,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -2952,7 +2966,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3152,7 +3168,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3552,7 +3570,9 @@ spec:
to be used in HTTP probes to be used in HTTP probes
properties: properties:
name: name:
description: The header field name description: The header field name. This will
be canonicalized upon output, so case-variant
names will be understood as the same header.
type: string type: string
value: value:
description: The header field value description: The header field value
@@ -3870,10 +3890,10 @@ spec:
while enforcing namespace label for alerts and metrics. while enforcing namespace label for alerts and metrics.
properties: properties:
ruleName: ruleName:
description: RuleNamespace - name of excluded rule description: Name of the excluded PrometheusRule object.
type: string type: string
ruleNamespace: ruleNamespace:
description: RuleNamespace - namespace of excluded rule description: Namespace of the excluded PrometheusRule object.
type: string type: string
required: required:
- ruleName - ruleName
@@ -4240,14 +4260,13 @@ spec:
description: Storage spec to specify how storage shall be used. description: Storage spec to specify how storage shall be used.
properties: properties:
disableMountSubPath: disableMountSubPath:
description: 'Deprecated: subPath usage will be disabled by default description: '*Deprecated: subPath usage will be removed in a
in a future release, this option will become unnecessary. DisableMountSubPath future release.*'
allows to remove any subPath usage in volume mounts.'
type: boolean type: boolean
emptyDir: emptyDir:
description: 'EmptyDirVolumeSource to be used by the StatefulSet. description: 'EmptyDirVolumeSource to be used by the StatefulSet.
If specified, used in place of any volumeClaimTemplate. More If specified, it takes precedence over `ephemeral` and `volumeClaimTemplate`.
info: https://kubernetes.io/docs/concepts/storage/volumes/#emptydir' More info: https://kubernetes.io/docs/concepts/storage/volumes/#emptydir'
properties: properties:
medium: medium:
description: 'medium represents what type of storage medium description: 'medium represents what type of storage medium
@@ -4271,8 +4290,8 @@ spec:
type: object type: object
ephemeral: ephemeral:
description: 'EphemeralVolumeSource to be used by the StatefulSet. description: 'EphemeralVolumeSource to be used by the StatefulSet.
This is a beta field in k8s 1.21, for lower versions, starting This is a beta field in k8s 1.21 and GA in 1.15. For lower versions,
with k8s 1.19, it requires enabling the GenericEphemeralVolume starting with k8s 1.19, it requires enabling the GenericEphemeralVolume
feature gate. More info: https://kubernetes.io/docs/concepts/storage/ephemeral-volumes/#generic-ephemeral-volumes' feature gate. More info: https://kubernetes.io/docs/concepts/storage/ephemeral-volumes/#generic-ephemeral-volumes'
properties: properties:
volumeClaimTemplate: volumeClaimTemplate:
@@ -4532,10 +4551,10 @@ spec:
type: object type: object
type: object type: object
volumeClaimTemplate: volumeClaimTemplate:
description: A PVC spec to be used by the StatefulSet. The easiest description: Defines the PVC spec to be used by the Prometheus
way to use a volume that cannot be automatically provisioned StatefulSets. The easiest way to use a volume that cannot be
(for whatever reason) is to use a label selector alongside manually automatically provisioned is to use a label selector alongside
created PersistentVolumes. manually created PersistentVolumes.
properties: properties:
apiVersion: apiVersion:
description: 'APIVersion defines the versioned schema of this description: 'APIVersion defines the versioned schema of this
@@ -4580,8 +4599,8 @@ spec:
type: string type: string
type: object type: object
spec: spec:
description: 'Spec defines the desired characteristics of description: 'Defines the desired characteristics of a volume
a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims' requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims'
properties: properties:
accessModes: accessModes:
description: 'accessModes contains the desired access description: 'accessModes contains the desired access
@@ -4794,8 +4813,7 @@ spec:
type: string type: string
type: object type: object
status: status:
description: 'Status represents the current information/status description: '*Deprecated: this field is never set.*'
of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims'
properties: properties:
accessModes: accessModes:
description: 'accessModes contains the actual access modes description: 'accessModes contains the actual access modes
@@ -5127,6 +5145,48 @@ spec:
version: version:
description: Version of Thanos to be deployed. description: Version of Thanos to be deployed.
type: string type: string
volumeMounts:
description: VolumeMounts allows configuration of additional VolumeMounts
on the output StatefulSet definition. VolumeMounts specified will
be appended to other VolumeMounts in the ruler container, that are
generated as a result of StorageSpec objects.
items:
description: VolumeMount describes a mounting of a Volume within
a container.
properties:
mountPath:
description: Path within the container at which the volume should
be mounted. Must not contain ':'.
type: string
mountPropagation:
description: mountPropagation determines how mounts are propagated
from the host to container and the other way around. When
not set, MountPropagationNone is used. This field is beta
in 1.10.
type: string
name:
description: This must match the Name of a Volume.
type: string
readOnly:
description: Mounted read-only if true, read-write otherwise
(false or unspecified). Defaults to false.
type: boolean
subPath:
description: Path within the volume from which the container's
volume should be mounted. Defaults to "" (volume's root).
type: string
subPathExpr:
description: Expanded path within the volume from which the
container's volume should be mounted. Behaves similarly to
SubPath but environment variable references $(VAR_NAME) are
expanded using the container's environment. Defaults to ""
(volume's root). SubPathExpr and SubPath are mutually exclusive.
type: string
required:
- mountPath
- name
type: object
type: array
volumes: volumes:
description: Volumes allows configuration of additional volumes on description: Volumes allows configuration of additional volumes on
the output StatefulSet definition. Volumes specified will be appended the output StatefulSet definition. Volumes specified will be appended
@@ -0,0 +1,34 @@
#!/usr/bin/env bash
#
# Description: Update CRDs from upstream.
#
set -u -o pipefail
if [[ $# -ne 1 ]] ; then
echo "usage $(basename "$0") <version>"
exit 1
fi
version="$1"
annotation_sed='/^ annotations:$/a {{- with .Values.crds.annotations }}\n{{- toYaml . | nindent 4 }}\n{{- end }}'
crds="alertmanagerconfigs alertmanagers podmonitors probes prometheusagents prometheuses prometheusrules scrapeconfigs servicemonitors thanosrulers"
upstream="https://raw.githubusercontent.com/prometheus-operator/prometheus-operator"
for crd in ${crds} ; do
echo "Updating ${crd}"
url="${upstream}/${version}/example/prometheus-operator-crd/monitoring.coreos.com_${crd}.yaml"
target="templates/crds/crd-${crd}.yaml"
if [[ ! -f "${target}" ]] ; then
echo "CRD target (${target}) file missing, this script should be run from the base of the chart"
exit 1
fi
curl -sf "${url}" \
| sed "1i # ${url}" \
| sed "${annotation_sed}" \
> "${target}"
done
@@ -1,11 +1,11 @@
image: image:
repository: tccr.io/truecharts/prometheus-operator repository: tccr.io/truecharts/prometheus-operator
tag: "v0.65.2@sha256:4907d522bd1ba4f28568a77affbb6df3f703a6fb35cc0188f0dc4c3b0be6c771" tag: "v0.66.0@sha256:27718c8079802791e156d885ecd5ecf7efc1b15574bf130e248bbacc5e3ed883"
pullPolicy: pullPolicy:
configReloaderImage: configReloaderImage:
repository: tccr.io/truecharts/prometheus-config-reloader repository: tccr.io/truecharts/prometheus-config-reloader
tag: "v0.65.2@sha256:26d19ec2e1ec4dafaeaf10a37488bdaf30b0177966413f4c26a369f2def6defe" tag: "v0.66.0@sha256:6e9e61d0d545fca106ef7f7438a488bae616f5c0b6fb0f7fc571b5f12af903ea"
pullPolicy: pullPolicy:
thanosImage: thanosImage: